%define commit 1a13d20a4608b113fbd68a3c168f680c1452cf28

Name:           python-avro
Version:        1.11.3
Release:        26%{?dist}
Summary:        Python bindings for Apache Avro™ data serialization system


License:        ASL 2.0
URL:            https://github.com/apache/avro
Source:         https://github.com/aiven/avro/archive/%{commit}.tar.gz
Patch0:         0001-remove-ipc-tests-as-they-require-internet-connection.diff

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(tox)
BuildRequires:  python3dist(black)
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(tox-current-env)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3-pytest

%global _description %{expand:
Apache Avro™ is a data serialization system. This package is Python bingings
for Apache Avro.}

%description %_description

%package -n python3-avro
Summary:        %{summary}

%description -n python3-avro %_description


%prep
%autosetup -p1 -n avro-%{commit}


%generate_buildrequires
cd lang/py
%pyproject_buildrequires


%build
cd lang/py
%pyproject_wheel


%install
cd lang/py
%pyproject_install
%pyproject_save_files avro


%check
%pyproject_check_import
cd lang/py
%tox

%files -n python3-avro -f %{pyproject_files}
%doc README.*
%{_bindir}/avro


%changelog
%autochangelog
